Resend a user invite
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acceptInviteClientUrl": "https://app.example.com/invite-accept",
"email": "user@example.com",
"tenantName": "<string>"
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend"
payload = {
"acceptInviteClientUrl": "https://app.example.com/invite-accept",
"email": "user@example.com",
"tenantName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acceptInviteClientUrl: 'https://app.example.com/invite-accept',
email: 'user@example.com',
tenantName: '<string>'
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acceptInviteClientUrl' => 'https://app.example.com/invite-accept',
'email' => 'user@example.com',
'tenantName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend"
payload := strings.NewReader("{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"link": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Users
Resend a user invite
Resend the invite email to a user in the current tenant. If the email is not in the tenant yet, the user is added and invited. Set acceptInviteClientUrl to the control plane URL from get_session_context followed by /invite-accept. Only available when TrueFoundry manages login.
POST
/
api
/
svc
/
v1
/
x
/
users
/
invite
/
resend
Resend a user invite
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acceptInviteClientUrl": "https://app.example.com/invite-accept",
"email": "user@example.com",
"tenantName": "<string>"
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend"
payload = {
"acceptInviteClientUrl": "https://app.example.com/invite-accept",
"email": "user@example.com",
"tenantName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acceptInviteClientUrl: 'https://app.example.com/invite-accept',
email: 'user@example.com',
tenantName: '<string>'
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acceptInviteClientUrl' => 'https://app.example.com/invite-accept',
'email' => 'user@example.com',
'tenantName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend"
payload := strings.NewReader("{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/x/users/invite/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acceptInviteClientUrl\": \"https://app.example.com/invite-accept\",\n \"email\": \"user@example.com\",\n \"tenantName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"link": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Authorizations
jwtjwt
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL the user is redirected to when they accept the invite. Use the control plane URL followed by /invite-accept.
Example:
"https://app.example.com/invite-accept"
Email address of the user to resend the invite to.
Example:
"user@example.com"
Tenant name override. Defaults to the caller's tenant when omitted.
Response
The invite has been resent successfully.
Invite link resent to the user.
Was this page helpful?